Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::SQL_Database::Statement Class Referenceabstract

`#include <database.h>`

## Public Member Functions
virtual void | bind (int column, const std::string &str)=0
virtual void | bind (int column, size_t i)=0
virtual void | bind (int column, std::chrono::system_clock::time_point time)=0
virtual void | bind (int column, const std::vector< uint8_t > &blob)=0
virtual void | bind (int column, const uint8_t *data, size_t len)=0
virtual std::pair< const uint8_t *, size_t > | get_blob (int column)=0
virtual size_t | get_size_t (int column)=0
virtual size_t | spin ()=0
virtual bool | step ()=0
virtual | ~Statement ()

## Detailed Description

Definition at line 29 of file database.h.

## Constructor & Destructor Documentation

virtual Botan::SQL_Database::Statement::~Statement | ( |  | ) |
| inline virtual

Definition at line 54 of file database.h.

54 {}

## Member Function Documentation

virtual void Botan::SQL_Database::Statement::bind | ( | int | column,
|  | const std::string & | str
| ) |  |
| pure virtual

virtual void Botan::SQL_Database::Statement::bind | ( | int | column,
|  | size_t | i
| ) |  |
| pure virtual

virtual void Botan::SQL_Database::Statement::bind | ( | int | column,
|  | std::chrono::system_clock::time_point | time
| ) |  |
| pure virtual

virtual void Botan::SQL_Database::Statement::bind | ( | int | column,
|  | const std::vector< uint8_t > & | blob
| ) |  |
| pure virtual

virtual void Botan::SQL_Database::Statement::bind | ( | int | column,
|  | const uint8_t * | data,
|  | size_t | len
| ) |  |
| pure virtual

virtual std::pair<const uint8_t*, size_t> Botan::SQL_Database::Statement::get_blob | ( | int | column | ) |
| pure virtual

virtual size_t Botan::SQL_Database::Statement::get_size_t | ( | int | column | ) |
| pure virtual

virtual size_t Botan::SQL_Database::Statement::spin | ( |  | ) |
| pure virtual

virtual bool Botan::SQL_Database::Statement::step | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/lib/utils/database.h